CATMAN(8)

NAME
catman - create the cat files for the manual

SYNOPSIS
/usr/etc/catman [-nptw] [-M directory ] [-T tmac.an ] [ sections ]

DESCRIPTION
catman creates the preformatted versions of the on-line manual from the nroff(1) input files. Each manual page is examined and those whose preformatted versions are missing or out of date are recreated. If any changes are made, catman recreates the whatis database.

If there is one parameter not starting with a `-', it is taken to be a list of manual sections to look in. For example

    catman 123

only updates manual sections 1, 2, and 3.

If an unformatted source file contains only a line of the form `.so manx/yyy.x', a symbolic link is made in the catx or fmtx directory to the appropriate preformatted manual page. This feature allows easy distribution of the preformatted manual pages among a group of associated machines with rdist(1), since it makes the directories of preformatted manual pages self-contained and independent of the unformatted entries.

OPTIONS

-n  Do not (re)create the whatis database.

-p  Print what would be done instead of doing it.

-t  Create troffed entries in the appropriate fmt subdirectories instead of nroffing into the cat subdirectories.

-w  Only create the whatis database that is used by whatis(1) and the man(1) -f and -k options. No manual reformatting is done.

-M  Update manual pages located in the specified directory (/usr/man by default).

-T  Use tmac.an in place of the standard manual page macros.

ENVIRONMENT
TROFF
    The name of the formatter to use when the -t flag is given. If not set, `troff' is used.

FILES
/usr/[share]/man
    default manual directory location
/usr/[share]/man/man?/*.*
    raw (nroff input) manual sections
/usr/[share]/man/cat?/*.*
    preformatted nroffed manual pages
/usr/[share]/man/fmt?/*.*
    preformatted troffed manual pages
/usr/[share]/man/whatis
    whatis database location
/usr/lib/makewhatis
    command script to make whatis database

SEE ALSO
apropos(1), man(1), nroff(1), rdist(1), troff(1), whatis(1)

NOTES

If the -n option is specified, the /usr/man/whatis database is not created and the apropos, whatis, `man -f', and `man -k' commands will fail.

DIAGNOSTICS

man?/xxx.? (.so'ed from man?/yyy.?): No such file or directory
    The file outside the parentheses is missing, and is referred to by the file inside them.

target of .so in man?/xxx.? must be relative to /usr/man
    catman only allows references to filenames that are relative to the directory /usr/man.

opendir:man?: No such file or directory
    A harmless warning message indicating that one of the directories catman normally looks for is missing.

*.*: No such file or directory
    A harmless warning message indicating catman came across an empty directory.